\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Arr_polycurve_traits_2< GeometryTraits_2 >::Construct_x_monotone_curve_2 Class Reference

`#include <CGAL/Arr_polycurve_traits_2.h>`

## Definition

Construction functor of \(x\)-monotone polycurve.

Similar to `Construct_curve_2`, only returns \(x\)-monotone polycurve. Thus, have the same overloads of the `operator()`. Note that when constructing `X_monotone_curve_2` all preconditions are tested.

If `CGAL_ALWAYS_LEFT_TO_RIGHT` is defined, then the resulting \(x\)-monotone polycurve will be oriented from left-to-right.